Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2172480 - F38FailsToInstall: Multiple packages built from ghc-cabal-helper
Summary: F38FailsToInstall: Multiple packages built from ghc-cabal-helper
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: ghc-cabal-helper
Version: 38
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F38FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2023-02-22 11:48 UTC by Fedora Fails To Install
Modified: 2023-03-23 09:44 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-03-23 09:44:48 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Fedora Fails To Install 2023-02-22 11:48:01 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

Your package (ghc-cabal-helper) Fails To Install in Fedora 38:

can't install ghc-cabal-helper:
  - nothing provides libHSprimitive-0.7.3.0-HMedJdQUTCQ79SiIUfisnA-ghc8.10.7.so()(64bit) needed by ghc-cabal-helper-1.1.0.0-17.fc37.x86_64
  - nothing provides libHShashable-1.3.0.0-DKy9JIeMjEpEMnRxDSJKj1-ghc8.10.7.so()(64bit) needed by ghc-cabal-helper-1.1.0.0-17.fc37.x86_64
  - nothing provides libHSvector-0.12.3.1-4ZUkvMG0hba9AHoOHt8bPP-ghc8.10.7.so()(64bit) needed by ghc-cabal-helper-1.1.0.0-17.fc37.x86_64
  - nothing provides libHSunordered-containers-0.2.16.0-Dv4Rt1LQPww8MojiiwKOfx-ghc8.10.7.so()(64bit) needed by ghc-cabal-helper-1.1.0.0-17.fc37.x86_64
  - nothing provides libHSrandom-1.2.0-KwELIRRPk7PAcyDfwXEvGo-ghc8.10.7.so()(64bit) needed by ghc-cabal-helper-1.1.0.0-17.fc37.x86_64
  - nothing provides libHSsplitmix-0.1.0.3-EyzgLNoP6DEInch8Jq19NJ-ghc8.10.7.so()(64bit) needed by ghc-cabal-helper-1.1.0.0-17.fc37.x86_64
  - nothing provides libHSattoparsec-0.13.2.5-4CNkT6xNlI9Gc8gs7Z5Bf8-ghc8.10.7.so()(64bit) needed by ghc-cabal-helper-1.1.0.0-17.fc37.x86_64
  - nothing provides libHSinteger-logarithms-1.0.3.1-xsL5hmMYGlG65gkrXlNN-ghc8.10.7.so()(64bit) needed by ghc-cabal-helper-1.1.0.0-17.fc37.x86_64
  - nothing provides libHSscientific-0.3.7.0-9Bte1MPl0IRAgeMv2NYBdP-ghc8.10.7.so()(64bit) needed by ghc-cabal-helper-1.1.0.0-17.fc37.x86_64
  - nothing provides libHSbase-orphans-0.8.6-8jdORGUoOgxDxHbvgXV8Fx-ghc8.10.7.so()(64bit) needed by ghc-cabal-helper-1.1.0.0-17.fc37.x86_64
  - nothing provides libHSth-abstraction-0.4.3.0-FMje8SMcvo6Ej3bhfOvFnc-ghc8.10.7.so()(64bit) needed by ghc-cabal-helper-1.1.0.0-17.fc37.x86_64
  - nothing provides libHStransformers-compat-0.6.6-9ADqfwGTALm8Nq2ZeUpa4p-ghc8.10.7.so()(64bit) needed by ghc-cabal-helper-1.1.0.0-17.fc37.x86_64
  - nothing provides libHSassoc-1.0.2-DlFj5btkCuHEvzs3TGk8rg-ghc8.10.7.so()(64bit) needed by ghc-cabal-helper-1.1.0.0-17.fc37.x86_64
  - nothing provides libHSbifunctors-5.5.11-2mt06i80omZ6vW2zUZn5Ka-ghc8.10.7.so()(64bit) needed by ghc-cabal-helper-1.1.0.0-17.fc37.x86_64
  - nothing provides libHScomonad-5.0.8-14XNTVkXFg430uWHShFyQ9-ghc8.10.7.so()(64bit) needed by ghc-cabal-helper-1.1.0.0-17.fc37.x86_64
  - nothing provides libHSdistributive-0.6.2.1-KVxKCEEvBG6hEp8usIJcE-ghc8.10.7.so()(64bit) needed by ghc-cabal-helper-1.1.0.0-17.fc37.x86_64
  - nothing provides libHSindexed-traversable-0.1.2-Eo535BQju5EJMNNLLeinJ3-ghc8.10.7.so()(64bit) needed by ghc-cabal-helper-1.1.0.0-17.fc37.x86_64
  - nothing provides libHStagged-0.8.6.1-EiQY3za6Q5HE9cdvqupke2-ghc8.10.7.so()(64bit) needed by ghc-cabal-helper-1.1.0.0-17.fc37.x86_64
  - nothing provides libHSthese-1.1.1.1-ANC3DfyCOI87BdRIbykcno-ghc8.10.7.so()(64bit) needed by ghc-cabal-helper-1.1.0.0-17.fc37.x86_64
  - nothing provides libHSbase-compat-0.11.2-64avUlpGAIHCFD33W605el-ghc8.10.7.so()(64bit) needed by ghc-cabal-helper-1.1.0.0-17.fc37.x86_64
  - nothing provides libHSstrict-0.4.0.1-HBxyMmbTWvEG941xvNhtfo-ghc8.10.7.so()(64bit) needed by ghc-cabal-helper-1.1.0.0-17.fc37.x86_64
  - nothing provides libHSaeson-1.5.6.0-gBocWxSv2gI3yy25Sudqw-ghc8.10.7.so()(64bit) needed by ghc-cabal-helper-1.1.0.0-17.fc37.x86_64
  - nothing provides libHSbase-compat-batteries-0.11.2-JdaPm3zwkpxKYNUZOUIpY0-ghc8.10.7.so()(64bit) needed by ghc-cabal-helper-1.1.0.0-17.fc37.x86_64
  - nothing provides libHSdata-fix-0.3.2-8nSdN9gmH9UFhK32hk3taL-ghc8.10.7.so()(64bit) needed by ghc-cabal-helper-1.1.0.0-17.fc37.x86_64
  - nothing provides libHSdlist-1.0-2omNVtOWka4BbJoRvWOiUZ-ghc8.10.7.so()(64bit) needed by ghc-cabal-helper-1.1.0.0-17.fc37.x86_64
  - nothing provides libHStime-compat-1.9.5-FhCJFiF8UpKAUAMoG79g1R-ghc8.10.7.so()(64bit) needed by ghc-cabal-helper-1.1.0.0-17.fc37.x86_64
  - nothing provides libHSuuid-types-1.0.5-7O7qBkSgwaQ6lmIxpY1HQv-ghc8.10.7.so()(64bit) needed by ghc-cabal-helper-1.1.0.0-17.fc37.x86_64
  - nothing provides libHSStateVar-1.2.2-E5VfLD39xuSBKKtL6sMcfd-ghc8.10.7.so()(64bit) needed by ghc-cabal-helper-1.1.0.0-17.fc37.x86_64
  - nothing provides libHScontravariant-1.5.5-2MQmXMLz5bRS9nNwqvWJW-ghc8.10.7.so()(64bit) needed by ghc-cabal-helper-1.1.0.0-17.fc37.x86_64
  - nothing provides libHSsemigroupoids-5.3.7-23mHBAEFDxc7gR9qf7GNCa-ghc8.10.7.so()(64bit) needed by ghc-cabal-helper-1.1.0.0-17.fc37.x86_64
  - nothing provides libHStemporary-1.3-JEYQHtJ8tvuIz1ZJWBzBrR-ghc8.10.7.so()(64bit) needed by ghc-cabal-helper-1.1.0.0-17.fc37.x86_64
  - nothing provides libHSutf8-string-1.0.2-8YAqI3SiGe8GKwxImEgLZR-ghc8.10.7.so()(64bit) needed by ghc-cabal-helper-1.1.0.0-17.fc37.x86_64
  - nothing provides libHSsemigroups-0.19.2-B42pS9MLVR4146tbQn2OdN-ghc8.10.7.so()(64bit) needed by ghc-cabal-helper-1.1.0.0-17.fc37.x86_64
  - nothing provides libHSunix-compat-0.5.4-9pnwdSgqQ6VGBo7SYUv7AI-ghc8.10.7.so()(64bit) needed by ghc-cabal-helper-1.1.0.0-17.fc37.x86_64
  - nothing provides libHSbase16-bytestring-1.0.2.0-IuhVh6qIVHnAAwYIXQtuOv-ghc8.10.7.so()(64bit) needed by ghc-cabal-helper-1.1.0.0-17.fc37.x86_64
  - nothing provides libHSSHA-1.6.4.4-19Z86NRK4zpDmzIFbCHiWH-ghc8.10.7.so()(64bit) needed by ghc-cabal-helper-1.1.0.0-17.fc37.x86_64
  - nothing provides libHSclock-0.8.3-5ajb7pp5ltmEUbggHblS9Q-ghc8.10.7.so()(64bit) needed by ghc-cabal-helper-1.1.0.0-17.fc37.x86_64
  
can't install ghc-cabal-helper-devel:
  - nothing provides ghc-devel(base-4.14.3.0) needed by ghc-cabal-helper-devel-1.1.0.0-17.fc37.x86_64
  - nothing provides ghc-devel(bytestring-0.10.12.0) needed by ghc-cabal-helper-devel-1.1.0.0-17.fc37.x86_64
  - nothing provides ghc-devel(text-1.2.4.1) needed by ghc-cabal-helper-devel-1.1.0.0-17.fc37.x86_64
  - nothing provides ghc-devel(filepath-1.4.2.1) needed by ghc-cabal-helper-devel-1.1.0.0-17.fc37.x86_64
  - nothing provides ghc-devel(directory-1.3.6.0) needed by ghc-cabal-helper-devel-1.1.0.0-17.fc37.x86_64
  - nothing provides ghc-devel(time-1.9.3) needed by ghc-cabal-helper-devel-1.1.0.0-17.fc37.x86_64
  - nothing provides ghc-devel(semigroupoids-5.3.7-23mHBAEFDxc7gR9qf7GNCa) needed by ghc-cabal-helper-devel-1.1.0.0-17.fc37.x86_64
  - nothing provides ghc-devel(template-haskell-2.16.0.0) needed by ghc-cabal-helper-devel-1.1.0.0-17.fc37.x86_64
  - nothing provides ghc-devel(temporary-1.3-JEYQHtJ8tvuIz1ZJWBzBrR) needed by ghc-cabal-helper-devel-1.1.0.0-17.fc37.x86_64
  - nothing provides ghc-devel(Cabal-3.2.1.0) needed by ghc-cabal-helper-devel-1.1.0.0-17.fc37.x86_64
  - nothing provides ghc-devel(SHA-1.6.4.4-19Z86NRK4zpDmzIFbCHiWH) needed by ghc-cabal-helper-devel-1.1.0.0-17.fc37.x86_64
  - nothing provides ghc-devel(clock-0.8.3-5ajb7pp5ltmEUbggHblS9Q) needed by ghc-cabal-helper-devel-1.1.0.0-17.fc37.x86_64
  - nothing provides ghc-devel(process-1.6.13.2) needed by ghc-cabal-helper-devel-1.1.0.0-17.fc37.x86_64
  - nothing provides ghc-devel(semigroups-0.19.2-B42pS9MLVR4146tbQn2OdN) needed by ghc-cabal-helper-devel-1.1.0.0-17.fc37.x86_64
  - nothing provides ghc-devel(unix-compat-0.5.4-9pnwdSgqQ6VGBo7SYUv7AI) needed by ghc-cabal-helper-devel-1.1.0.0-17.fc37.x86_64
  - nothing provides ghc-devel(utf8-string-1.0.2-8YAqI3SiGe8GKwxImEgLZR) needed by ghc-cabal-helper-devel-1.1.0.0-17.fc37.x86_64
  - nothing provides ghc-compiler = 8.10.7 needed by ghc-cabal-helper-devel-1.1.0.0-17.fc37.x86_64
  
can't install ghc-cabal-helper-prof:
  - nothing provides ghc-prof(base-4.14.3.0) needed by ghc-cabal-helper-prof-1.1.0.0-17.fc37.x86_64
  - nothing provides ghc-prof(bytestring-0.10.12.0) needed by ghc-cabal-helper-prof-1.1.0.0-17.fc37.x86_64
  - nothing provides ghc-prof(text-1.2.4.1) needed by ghc-cabal-helper-prof-1.1.0.0-17.fc37.x86_64
  - nothing provides ghc-prof(filepath-1.4.2.1) needed by ghc-cabal-helper-prof-1.1.0.0-17.fc37.x86_64
  - nothing provides ghc-prof(directory-1.3.6.0) needed by ghc-cabal-helper-prof-1.1.0.0-17.fc37.x86_64
  - nothing provides ghc-prof(time-1.9.3) needed by ghc-cabal-helper-prof-1.1.0.0-17.fc37.x86_64
  - nothing provides ghc-prof(semigroupoids-5.3.7-23mHBAEFDxc7gR9qf7GNCa) needed by ghc-cabal-helper-prof-1.1.0.0-17.fc37.x86_64
  - nothing provides ghc-prof(template-haskell-2.16.0.0) needed by ghc-cabal-helper-prof-1.1.0.0-17.fc37.x86_64
  - nothing provides ghc-prof(temporary-1.3-JEYQHtJ8tvuIz1ZJWBzBrR) needed by ghc-cabal-helper-prof-1.1.0.0-17.fc37.x86_64
  - nothing provides ghc-prof(Cabal-3.2.1.0) needed by ghc-cabal-helper-prof-1.1.0.0-17.fc37.x86_64
  - nothing provides ghc-prof(SHA-1.6.4.4-19Z86NRK4zpDmzIFbCHiWH) needed by ghc-cabal-helper-prof-1.1.0.0-17.fc37.x86_64
  - nothing provides ghc-prof(clock-0.8.3-5ajb7pp5ltmEUbggHblS9Q) needed by ghc-cabal-helper-prof-1.1.0.0-17.fc37.x86_64
  - nothing provides ghc-prof(process-1.6.13.2) needed by ghc-cabal-helper-prof-1.1.0.0-17.fc37.x86_64
  - nothing provides ghc-prof(semigroups-0.19.2-B42pS9MLVR4146tbQn2OdN) needed by ghc-cabal-helper-prof-1.1.0.0-17.fc37.x86_64
  - nothing provides ghc-prof(unix-compat-0.5.4-9pnwdSgqQ6VGBo7SYUv7AI) needed by ghc-cabal-helper-prof-1.1.0.0-17.fc37.x86_64
  - nothing provides ghc-prof(utf8-string-1.0.2-8YAqI3SiGe8GKwxImEgLZR) needed by ghc-cabal-helper-prof-1.1.0.0-17.fc37.x86_64
  
can't install ghc-cabal-plan:
  - nothing provides libHSprimitive-0.7.3.0-HMedJdQUTCQ79SiIUfisnA-ghc8.10.7.so()(64bit) needed by ghc-cabal-plan-0.7.2.0-17.fc37.x86_64
  - nothing provides libHShashable-1.3.0.0-DKy9JIeMjEpEMnRxDSJKj1-ghc8.10.7.so()(64bit) needed by ghc-cabal-plan-0.7.2.0-17.fc37.x86_64
  - nothing provides libHSvector-0.12.3.1-4ZUkvMG0hba9AHoOHt8bPP-ghc8.10.7.so()(64bit) needed by ghc-cabal-plan-0.7.2.0-17.fc37.x86_64
  - nothing provides libHSunordered-containers-0.2.16.0-Dv4Rt1LQPww8MojiiwKOfx-ghc8.10.7.so()(64bit) needed by ghc-cabal-plan-0.7.2.0-17.fc37.x86_64
  - nothing provides libHSrandom-1.2.0-KwELIRRPk7PAcyDfwXEvGo-ghc8.10.7.so()(64bit) needed by ghc-cabal-plan-0.7.2.0-17.fc37.x86_64
  - nothing provides libHSsplitmix-0.1.0.3-EyzgLNoP6DEInch8Jq19NJ-ghc8.10.7.so()(64bit) needed by ghc-cabal-plan-0.7.2.0-17.fc37.x86_64
  - nothing provides libHSattoparsec-0.13.2.5-4CNkT6xNlI9Gc8gs7Z5Bf8-ghc8.10.7.so()(64bit) needed by ghc-cabal-plan-0.7.2.0-17.fc37.x86_64
  - nothing provides libHSinteger-logarithms-1.0.3.1-xsL5hmMYGlG65gkrXlNN-ghc8.10.7.so()(64bit) needed by ghc-cabal-plan-0.7.2.0-17.fc37.x86_64
  - nothing provides libHSscientific-0.3.7.0-9Bte1MPl0IRAgeMv2NYBdP-ghc8.10.7.so()(64bit) needed by ghc-cabal-plan-0.7.2.0-17.fc37.x86_64
  - nothing provides libHSbase-orphans-0.8.6-8jdORGUoOgxDxHbvgXV8Fx-ghc8.10.7.so()(64bit) needed by ghc-cabal-plan-0.7.2.0-17.fc37.x86_64
  - nothing provides libHSth-abstraction-0.4.3.0-FMje8SMcvo6Ej3bhfOvFnc-ghc8.10.7.so()(64bit) needed by ghc-cabal-plan-0.7.2.0-17.fc37.x86_64
  - nothing provides libHStransformers-compat-0.6.6-9ADqfwGTALm8Nq2ZeUpa4p-ghc8.10.7.so()(64bit) needed by ghc-cabal-plan-0.7.2.0-17.fc37.x86_64
  - nothing provides libHSassoc-1.0.2-DlFj5btkCuHEvzs3TGk8rg-ghc8.10.7.so()(64bit) needed by ghc-cabal-plan-0.7.2.0-17.fc37.x86_64
  - nothing provides libHSbifunctors-5.5.11-2mt06i80omZ6vW2zUZn5Ka-ghc8.10.7.so()(64bit) needed by ghc-cabal-plan-0.7.2.0-17.fc37.x86_64
  - nothing provides libHScomonad-5.0.8-14XNTVkXFg430uWHShFyQ9-ghc8.10.7.so()(64bit) needed by ghc-cabal-plan-0.7.2.0-17.fc37.x86_64
  - nothing provides libHSdistributive-0.6.2.1-KVxKCEEvBG6hEp8usIJcE-ghc8.10.7.so()(64bit) needed by ghc-cabal-plan-0.7.2.0-17.fc37.x86_64
  - nothing provides libHSindexed-traversable-0.1.2-Eo535BQju5EJMNNLLeinJ3-ghc8.10.7.so()(64bit) needed by ghc-cabal-plan-0.7.2.0-17.fc37.x86_64
  - nothing provides libHStagged-0.8.6.1-EiQY3za6Q5HE9cdvqupke2-ghc8.10.7.so()(64bit) needed by ghc-cabal-plan-0.7.2.0-17.fc37.x86_64
  - nothing provides libHSthese-1.1.1.1-ANC3DfyCOI87BdRIbykcno-ghc8.10.7.so()(64bit) needed by ghc-cabal-plan-0.7.2.0-17.fc37.x86_64
  - nothing provides libHSbase-compat-0.11.2-64avUlpGAIHCFD33W605el-ghc8.10.7.so()(64bit) needed by ghc-cabal-plan-0.7.2.0-17.fc37.x86_64
  - nothing provides libHSstrict-0.4.0.1-HBxyMmbTWvEG941xvNhtfo-ghc8.10.7.so()(64bit) needed by ghc-cabal-plan-0.7.2.0-17.fc37.x86_64
  - nothing provides libHSaeson-1.5.6.0-gBocWxSv2gI3yy25Sudqw-ghc8.10.7.so()(64bit) needed by ghc-cabal-plan-0.7.2.0-17.fc37.x86_64
  - nothing provides libHSbase-compat-batteries-0.11.2-JdaPm3zwkpxKYNUZOUIpY0-ghc8.10.7.so()(64bit) needed by ghc-cabal-plan-0.7.2.0-17.fc37.x86_64
  - nothing provides libHSdata-fix-0.3.2-8nSdN9gmH9UFhK32hk3taL-ghc8.10.7.so()(64bit) needed by ghc-cabal-plan-0.7.2.0-17.fc37.x86_64
  - nothing provides libHSdlist-1.0-2omNVtOWka4BbJoRvWOiUZ-ghc8.10.7.so()(64bit) needed by ghc-cabal-plan-0.7.2.0-17.fc37.x86_64
  - nothing provides libHStime-compat-1.9.5-FhCJFiF8UpKAUAMoG79g1R-ghc8.10.7.so()(64bit) needed by ghc-cabal-plan-0.7.2.0-17.fc37.x86_64
  - nothing provides libHSuuid-types-1.0.5-7O7qBkSgwaQ6lmIxpY1HQv-ghc8.10.7.so()(64bit) needed by ghc-cabal-plan-0.7.2.0-17.fc37.x86_64
  - nothing provides libHSbase16-bytestring-1.0.2.0-IuhVh6qIVHnAAwYIXQtuOv-ghc8.10.7.so()(64bit) needed by ghc-cabal-plan-0.7.2.0-17.fc37.x86_64
  
can't install ghc-cabal-plan-devel:
  - nothing provides ghc-devel(base-4.14.3.0) needed by ghc-cabal-plan-devel-0.7.2.0-17.fc37.x86_64
  - nothing provides ghc-devel(bytestring-0.10.12.0) needed by ghc-cabal-plan-devel-0.7.2.0-17.fc37.x86_64
  - nothing provides ghc-devel(text-1.2.4.1) needed by ghc-cabal-plan-devel-0.7.2.0-17.fc37.x86_64
  - nothing provides ghc-devel(filepath-1.4.2.1) needed by ghc-cabal-plan-devel-0.7.2.0-17.fc37.x86_64
  - nothing provides ghc-devel(aeson-1.5.6.0-gBocWxSv2gI3yy25Sudqw) needed by ghc-cabal-plan-devel-0.7.2.0-17.fc37.x86_64
  - nothing provides ghc-devel(directory-1.3.6.0) needed by ghc-cabal-plan-devel-0.7.2.0-17.fc37.x86_64
  - nothing provides ghc-devel(base16-bytestring-1.0.2.0-IuhVh6qIVHnAAwYIXQtuOv) needed by ghc-cabal-plan-devel-0.7.2.0-17.fc37.x86_64
  - nothing provides ghc-compiler = 8.10.7 needed by ghc-cabal-plan-devel-0.7.2.0-17.fc37.x86_64
  
can't install ghc-cabal-plan-prof:
  - nothing provides ghc-prof(base-4.14.3.0) needed by ghc-cabal-plan-prof-0.7.2.0-17.fc37.x86_64
  - nothing provides ghc-prof(bytestring-0.10.12.0) needed by ghc-cabal-plan-prof-0.7.2.0-17.fc37.x86_64
  - nothing provides ghc-prof(text-1.2.4.1) needed by ghc-cabal-plan-prof-0.7.2.0-17.fc37.x86_64
  - nothing provides ghc-prof(filepath-1.4.2.1) needed by ghc-cabal-plan-prof-0.7.2.0-17.fc37.x86_64
  - nothing provides ghc-prof(aeson-1.5.6.0-gBocWxSv2gI3yy25Sudqw) needed by ghc-cabal-plan-prof-0.7.2.0-17.fc37.x86_64
  - nothing provides ghc-prof(directory-1.3.6.0) needed by ghc-cabal-plan-prof-0.7.2.0-17.fc37.x86_64
  - nothing provides ghc-prof(base16-bytestring-1.0.2.0-IuhVh6qIVHnAAwYIXQtuOv) needed by ghc-cabal-plan-prof-0.7.2.0-17.fc37.x86_64
  
can't install ghc-indexed-profunctors-devel:
  - nothing provides ghc-devel(base-4.14.3.0) needed by ghc-indexed-profunctors-devel-0.1.1-17.fc37.x86_64
  - nothing provides ghc-compiler = 8.10.7 needed by ghc-indexed-profunctors-devel-0.1.1-17.fc37.x86_64
  
can't install ghc-indexed-profunctors-prof:
  - nothing provides ghc-prof(base-4.14.3.0) needed by ghc-indexed-profunctors-prof-0.1.1-17.fc37.x86_64
  
can't install ghc-topograph:
  - nothing provides libHSprimitive-0.7.3.0-HMedJdQUTCQ79SiIUfisnA-ghc8.10.7.so()(64bit) needed by ghc-topograph-1.0.0.1-17.fc37.x86_64
  - nothing provides libHSvector-0.12.3.1-4ZUkvMG0hba9AHoOHt8bPP-ghc8.10.7.so()(64bit) needed by ghc-topograph-1.0.0.1-17.fc37.x86_64
  - nothing provides libHSbase-orphans-0.8.6-8jdORGUoOgxDxHbvgXV8Fx-ghc8.10.7.so()(64bit) needed by ghc-topograph-1.0.0.1-17.fc37.x86_64
  - nothing provides libHSbase-compat-0.11.2-64avUlpGAIHCFD33W605el-ghc8.10.7.so()(64bit) needed by ghc-topograph-1.0.0.1-17.fc37.x86_64
  
can't install ghc-topograph-devel:
  - nothing provides ghc-devel(base-4.14.3.0) needed by ghc-topograph-devel-1.0.0.1-17.fc37.x86_64
  - nothing provides ghc-devel(vector-0.12.3.1-4ZUkvMG0hba9AHoOHt8bPP) needed by ghc-topograph-devel-1.0.0.1-17.fc37.x86_64
  - nothing provides ghc-devel(base-compat-0.11.2-64avUlpGAIHCFD33W605el) needed by ghc-topograph-devel-1.0.0.1-17.fc37.x86_64
  - nothing provides ghc-devel(base-orphans-0.8.6-8jdORGUoOgxDxHbvgXV8Fx) needed by ghc-topograph-devel-1.0.0.1-17.fc37.x86_64
  - nothing provides ghc-compiler = 8.10.7 needed by ghc-topograph-devel-1.0.0.1-17.fc37.x86_64
  
can't install ghc-topograph-prof:
  - nothing provides ghc-prof(base-4.14.3.0) needed by ghc-topograph-prof-1.0.0.1-17.fc37.x86_64
  - nothing provides ghc-prof(vector-0.12.3.1-4ZUkvMG0hba9AHoOHt8bPP) needed by ghc-topograph-prof-1.0.0.1-17.fc37.x86_64
  - nothing provides ghc-prof(base-compat-0.11.2-64avUlpGAIHCFD33W605el) needed by ghc-topograph-prof-1.0.0.1-17.fc37.x86_64
  - nothing provides ghc-prof(base-orphans-0.8.6-8jdORGUoOgxDxHbvgXV8Fx) needed by ghc-topograph-prof-1.0.0.1-17.fc37.x86_64
  
can't install ghc-semialign:
  - nothing provides libHSprimitive-0.7.3.0-HMedJdQUTCQ79SiIUfisnA-ghc8.10.7.so()(64bit) needed by ghc-semialign-1.1.0.1-17.fc37.x86_64
  - nothing provides libHShashable-1.3.0.0-DKy9JIeMjEpEMnRxDSJKj1-ghc8.10.7.so()(64bit) needed by ghc-semialign-1.1.0.1-17.fc37.x86_64
  - nothing provides libHSvector-0.12.3.1-4ZUkvMG0hba9AHoOHt8bPP-ghc8.10.7.so()(64bit) needed by ghc-semialign-1.1.0.1-17.fc37.x86_64
  - nothing provides libHSunordered-containers-0.2.16.0-Dv4Rt1LQPww8MojiiwKOfx-ghc8.10.7.so()(64bit) needed by ghc-semialign-1.1.0.1-17.fc37.x86_64
  - nothing provides libHSbase-orphans-0.8.6-8jdORGUoOgxDxHbvgXV8Fx-ghc8.10.7.so()(64bit) needed by ghc-semialign-1.1.0.1-17.fc37.x86_64
  - nothing provides libHSth-abstraction-0.4.3.0-FMje8SMcvo6Ej3bhfOvFnc-ghc8.10.7.so()(64bit) needed by ghc-semialign-1.1.0.1-17.fc37.x86_64
  - nothing provides libHStransformers-compat-0.6.6-9ADqfwGTALm8Nq2ZeUpa4p-ghc8.10.7.so()(64bit) needed by ghc-semialign-1.1.0.1-17.fc37.x86_64
  - nothing provides libHSassoc-1.0.2-DlFj5btkCuHEvzs3TGk8rg-ghc8.10.7.so()(64bit) needed by ghc-semialign-1.1.0.1-17.fc37.x86_64
  - nothing provides libHSbifunctors-5.5.11-2mt06i80omZ6vW2zUZn5Ka-ghc8.10.7.so()(64bit) needed by ghc-semialign-1.1.0.1-17.fc37.x86_64
  - nothing provides libHScomonad-5.0.8-14XNTVkXFg430uWHShFyQ9-ghc8.10.7.so()(64bit) needed by ghc-semialign-1.1.0.1-17.fc37.x86_64
  - nothing provides libHSdistributive-0.6.2.1-KVxKCEEvBG6hEp8usIJcE-ghc8.10.7.so()(64bit) needed by ghc-semialign-1.1.0.1-17.fc37.x86_64
  - nothing provides libHSindexed-traversable-0.1.2-Eo535BQju5EJMNNLLeinJ3-ghc8.10.7.so()(64bit) needed by ghc-semialign-1.1.0.1-17.fc37.x86_64
  - nothing provides libHStagged-0.8.6.1-EiQY3za6Q5HE9cdvqupke2-ghc8.10.7.so()(64bit) needed by ghc-semialign-1.1.0.1-17.fc37.x86_64
  - nothing provides libHSthese-1.1.1.1-ANC3DfyCOI87BdRIbykcno-ghc8.10.7.so()(64bit) needed by ghc-semialign-1.1.0.1-17.fc37.x86_64
  - nothing provides libHSStateVar-1.2.2-E5VfLD39xuSBKKtL6sMcfd-ghc8.10.7.so()(64bit) needed by ghc-semialign-1.1.0.1-17.fc37.x86_64
  - nothing provides libHScontravariant-1.5.5-2MQmXMLz5bRS9nNwqvWJW-ghc8.10.7.so()(64bit) needed by ghc-semialign-1.1.0.1-17.fc37.x86_64
  - nothing provides libHSsemigroupoids-5.3.7-23mHBAEFDxc7gR9qf7GNCa-ghc8.10.7.so()(64bit) needed by ghc-semialign-1.1.0.1-17.fc37.x86_64
  
can't install ghc-semialign-devel:
  - nothing provides ghc-devel(base-4.14.3.0) needed by ghc-semialign-devel-1.1.0.1-17.fc37.x86_64
  - nothing provides ghc-devel(vector-0.12.3.1-4ZUkvMG0hba9AHoOHt8bPP) needed by ghc-semialign-devel-1.1.0.1-17.fc37.x86_64
  - nothing provides ghc-devel(unordered-containers-0.2.16.0-Dv4Rt1LQPww8MojiiwKOfx) needed by ghc-semialign-devel-1.1.0.1-17.fc37.x86_64
  - nothing provides ghc-devel(hashable-1.3.0.0-DKy9JIeMjEpEMnRxDSJKj1) needed by ghc-semialign-devel-1.1.0.1-17.fc37.x86_64
  - nothing provides ghc-devel(semigroupoids-5.3.7-23mHBAEFDxc7gR9qf7GNCa) needed by ghc-semialign-devel-1.1.0.1-17.fc37.x86_64
  - nothing provides ghc-devel(these-1.1.1.1-ANC3DfyCOI87BdRIbykcno) needed by ghc-semialign-devel-1.1.0.1-17.fc37.x86_64
  - nothing provides ghc-devel(tagged-0.8.6.1-EiQY3za6Q5HE9cdvqupke2) needed by ghc-semialign-devel-1.1.0.1-17.fc37.x86_64
  - nothing provides ghc-compiler = 8.10.7 needed by ghc-semialign-devel-1.1.0.1-17.fc37.x86_64
  
can't install ghc-semialign-prof:
  - nothing provides ghc-prof(base-4.14.3.0) needed by ghc-semialign-prof-1.1.0.1-17.fc37.x86_64
  - nothing provides ghc-prof(vector-0.12.3.1-4ZUkvMG0hba9AHoOHt8bPP) needed by ghc-semialign-prof-1.1.0.1-17.fc37.x86_64
  - nothing provides ghc-prof(unordered-containers-0.2.16.0-Dv4Rt1LQPww8MojiiwKOfx) needed by ghc-semialign-prof-1.1.0.1-17.fc37.x86_64
  - nothing provides ghc-prof(hashable-1.3.0.0-DKy9JIeMjEpEMnRxDSJKj1) needed by ghc-semialign-prof-1.1.0.1-17.fc37.x86_64
  - nothing provides ghc-prof(semigroupoids-5.3.7-23mHBAEFDxc7gR9qf7GNCa) needed by ghc-semialign-prof-1.1.0.1-17.fc37.x86_64
  - nothing provides ghc-prof(these-1.1.1.1-ANC3DfyCOI87BdRIbykcno) needed by ghc-semialign-prof-1.1.0.1-17.fc37.x86_64
  - nothing provides ghc-prof(tagged-0.8.6.1-EiQY3za6Q5HE9cdvqupke2) needed by ghc-semialign-prof-1.1.0.1-17.fc37.x86_64
  
can't install ghc-optics-core-devel:
  - nothing provides ghc-devel(base-4.14.3.0) needed by ghc-optics-core-devel-0.3.0.1-17.fc37.x86_64
  - nothing provides ghc-compiler = 8.10.7 needed by ghc-optics-core-devel-0.3.0.1-17.fc37.x86_64
  
can't install ghc-optics-core-prof:
  - nothing provides ghc-prof(base-4.14.3.0) needed by ghc-optics-core-prof-0.3.0.1-17.fc37.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.


P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors. To reproduce, use the koji/local repo only, e.g. in mock:

    $ mock -r fedora-38-x86_64 --config-opts mirrored=False install ghc-cabal-helper ghc-cabal-helper-devel ghc-cabal-helper-prof ghc-cabal-plan ghc-cabal-plan-devel ghc-cabal-plan-prof ghc-indexed-profunctors-devel ghc-indexed-profunctors-prof ghc-topograph ghc-topograph-devel ghc-topograph-prof ghc-semialign ghc-semialign-devel ghc-semialign-prof ghc-optics-core-devel ghc-optics-core-prof


P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Fedora Fails To Install 2023-03-02 00:52:56 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

This package fails to install and maintainers are advised to take one of the following actions:

 - Fix this bug and close this bugzilla once the update makes it to the repository.
   (The same script that posted this comment will eventually close this bugzilla
   when the fixed package reaches the repository, so you don't have to worry about it.)

or

 - Move this bug to ASSIGNED if you plan on fixing this, but simply haven't done so yet.

or

 - Orphan the package if you no longer plan to maintain it.


If you do not take one of these actions, the process at https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs will continue.
This package may be orphaned in 7+ weeks.
This is the first reminder (step 3) from the policy.

Don't hesitate to ask for help on devel.org if you are unsure how to fix this bug.

Comment 2 Fedora Fails To Install 2023-03-23 09:44:48 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 38.

Thanks for taking care of it!


Note You need to log in before you can comment on or make changes to this bug.